[问题]新立得apt-get的问题

为当前最终发行版之前的所有版本提供支持
回复
bluemouseios
帖子: 5
注册时间: 2007-01-17 10:07
送出感谢: 0
接收感谢: 0

[问题]新立得apt-get的问题

#1

帖子 bluemouseios » 2007-01-17 14:06

最近不知怎么搞的,无法用apt-get安装任何软件,包括系统更新,总是报如下错误,有哪位达人帮忙解决一下

代码: 全选

正在设置 avahi-daemon (0.6.13-2ubuntu2.4) ...
 * Reloading system message bus config                                   [ ok ]
/var/lib/dpkg/info/avahi-daemon.postinst: 41: /etc/init.d/avahi-daemon: not found
dpkg:处理 avahi-daemon (--configure)时出错:
 子进程·post-installation script·返回了错误号·127
lonely
帖子: 109
注册时间: 2007-01-16 18:50
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 lonely » 2007-01-17 14:11

:) 初学者建议重新安装系统。。嘻。。
头像
hualang0929
帖子: 1226
注册时间: 2006-11-11 10:23
来自: Mars
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 hualang0929 » 2007-01-17 15:49

楼上的 :em25

可能是软件包损坏了,看能不能进新立德把坏的包给删除了
或者apt-get remove --purge [package_name]试试
抬头望星空一片晴,我独行,夜已渐寒……
littleUbuntu
帖子: 1103
注册时间: 2006-10-19 9:02
送出感谢: 0
接收感谢: 0

#4

帖子 littleUbuntu » 2007-01-17 15:55

lonely 写了::) 初学者建议重新安装系统。。嘻。。
不要这样提建议,这样做还不如不提。

遇到问题应该首先找解决办法,而不是重新安装。

重新安装有害无益,那是win 的坏习惯。不应带来。
头像
KyTor
帖子: 222
注册时间: 2006-12-05 22:23
来自: http://www.wengyuanhang.com/
送出感谢: 0
接收感谢: 0
联系:

Re: [问题]新立得apt-get的问题

#5

帖子 KyTor » 2007-01-17 16:45

bluemouseios 写了:最近不知怎么搞的,无法用apt-get安装任何软件,包括系统更新,总是报如下错误,有哪位达人帮忙解决一下

代码: 全选

正在设置 avahi-daemon (0.6.13-2ubuntu2.4) ...
 * Reloading system message bus config                                   [ ok ]
/var/lib/dpkg/info/avahi-daemon.postinst: 41: /etc/init.d/avahi-daemon: not found
dpkg:处理 avahi-daemon (--configure)时出错:
 子进程·post-installation script·返回了错误号·127
这种 问题早就已经有人提过,所以你正确的作法应该是先用搜索功能查找一下这类问题的帖子,然后如果没有找到你所想要的答案再发帖说清楚你的目的是什么。
附重新安装apt,你可以搜索一下帖,有帖子中说明了如何重新安装apt
虔诚的信徒啊!请相信KyTor吧!
http://www.wengyuanhang.com/
------------------
愿上帝赐我平静,接受我无法改变的事;
愿上帝赐我勇气,改变我能够改变的事;
愿上帝赐我智慧,能明辨这两者的差异;
walkerxk
帖子: 170
注册时间: 2005-12-18 19:43
来自: http://www.lupaworld.com
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 walkerxk » 2007-01-17 17:07

把那个软件包卸了就没有问题了。
sudo apt-get remove avahi-daemon
开源资源:
软件下载http://software.lupaworld.com
开源镜像http://mirror.lupaworld.com
手册中心http://man.lupaworld.com
欢迎大家访问,并提出建议和意见。
头像
dogfox
论坛版主
帖子: 5309
注册时间: 2006-09-02 14:18
来自: 汉桑城
送出感谢: 1 次
接收感谢: 1 次
联系:

#7

帖子 dogfox » 2007-01-17 17:11

打开包管理器
删除残余包
全世界linux爱好者联合起来 !
一切闭源操作系统都是纸老虎 !
要斗私批修,拒绝黑屏,使用linux !
让一部分人先用起Archlinux来 !
linux是第一生产力 !
讲正气,讲开源,讲free
要坚定不移的走开源的道路 !
linux明天会更好 !

dpkg -l |grep ^rc|awk '{print $2}' |tr ["\n"] [" "]|sudo xargs dpkg -P -
ubuntu粉丝群 26660836 已满员
bluemouseios
帖子: 5
注册时间: 2007-01-17 10:07
送出感谢: 0
接收感谢: 0

#8

帖子 bluemouseios » 2007-01-18 9:28

walkerxk 写了:把那个软件包卸了就没有问题了。
sudo apt-get remove avahi-daemon
谢了,的确把这个包卸了就没问题了,不用重装apt。不过这个包是干什么的?
回复

回到 “老旧版本支持”